<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Add vehicle sub categories</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal" autocomplete="off" [formGroup]="saveForm" (ngSubmit)="addVehicleCategory()" #f="ngForm">
  
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Category<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">    
                            <mat-select class="form-control" placeholder = "Category"  formControlName="category_id" 
                            class="form-control" required>
                            <mat-option value="">Select</mat-option>
                            <mat-option [value]="category._id" *ngFor="let category of categoriesData">
                              {{category.category}}
                            </mat-option>
                          </mat-select>

                          <div class = "error-msg" *ngIf="saveForm.controls['category_id'].invalid && (saveForm.controls['category_id'].dirty || saveForm.controls['category_id'].touched || f.submitted)">
                            <div *ngIf="saveForm.controls['category_id'].errors.required">
                              Category is required.
                            </div>
                          </div>

                        </div>
                    </div>
  
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Sub category<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text"  placeholder = "Sub category" formControlName="sub_category" maxlength = "20"  class="form-control" required >
                            <div class= "error-msg" *ngIf="saveForm.controls['sub_category'].invalid && (saveForm.controls['sub_category'].dirty || saveForm.controls['sub_category'].touched || f.submitted)">
                              <div *ngIf="saveForm.controls['sub_category'].errors.required">
                               Sub category is required.
                              </div>
                            </div>
                          </div>
                    </div>
					          <div class="form-group">
                        <label class="col-sm-2 control-label">No of Persons<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text"  placeholder = "No of Persons" pattern="[0-9]+([.][0-9]+)?" formControlName="persons" maxlength = "3"  class="form-control" required >
                            <div class= "error-msg" *ngIf="saveForm.controls['persons'].invalid && (saveForm.controls['persons'].dirty || saveForm.controls['persons'].touched || f.submitted)">
                              <div *ngIf="saveForm.controls['persons'].errors.required">
                                No of Persons is required.
                              </div>
                              <div *ngIf="saveForm.controls['persons'].errors.pattern" >
                                Only numbers are allowed.
                              </div>
                            </div>
                          </div>
                    </div>
                    
					
					        <div class="form-group">
                        <label class="col-sm-2 control-label">Rate per KM<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text"  placeholder = "Rate per KM" pattern="[0-9]+([.][0-9]+)?" formControlName="rate" maxlength = "8"  class="form-control" required >
                            <div class= "error-msg" *ngIf="saveForm.controls['rate'].invalid && (saveForm.controls['rate'].dirty || saveForm.controls['rate'].touched || f.submitted)">
                              <div *ngIf="saveForm.controls['rate'].errors.required">
                                Rate per KM is required.
                              </div>
                              <div *ngIf="saveForm.controls['rate'].errors.pattern" >
                                Only numbers are allowed.
                              </div>
                            </div>
                          </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Description<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text"  placeholder = "Description" formControlName="description" maxlength = "2000"  class="form-control" required >
                            
                            <div class= "error-msg" *ngIf="saveForm.controls['description'].invalid && (saveForm.controls['description'].dirty || saveForm.controls['persons'].touched || f.submitted)">
                              <div *ngIf="saveForm.controls['description'].errors.required">
                                  Description is required.
                              </div>
                              <div *ngIf="saveForm.controls['description'].errors.pattern" >
                                Only numbers are allowed.
                              </div>
                            </div>
                          </div>
                    </div>
  
                        <div class="form-group">
                          <label class="col-sm-2 control-label">Image <i aria-hidden="true" class="mandatory">*</i></label>
                          <div class="col-md-10 form-input">
                            <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'" [maxFileSize]="1048576" (removed)="onRemoved($event)"
                              (uploadFinished)="imageFinishedUploading($event)" required>
                            </image-upload>
                            <span *ngIf="spandata=='yes'" class="clearimage">
                              Remove old image before new upload. 
                            </span><br>
                            <span class="image-format">
                              Only jpeg, jpg, png formats are allowed.
                            </span>
                            <br/>
                            <div class = "error-msg" *ngIf="saveForm.controls['image'].invalid && (saveForm.controls['image'].dirty || saveForm.controls['image'].touched || f.submitted)">
                              <div *ngIf="saveForm.controls['image'].errors.required">
                                Image is required.
                              </div>
                            </div>
                          </div>
                        </div>
  
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save
                            </button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/vehicle-sub-categories']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
  </div>
  